Chromium Code Reviews
Help | Chromium Project | Sign in
(7)

Issue 1692713005: ES6: Desugaring of instanceof to support @@hasInstance (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 year, 1 month ago by mvstanton
Modified:
1 year, 1 month ago
CC:
v8-reviews_googlegroups.com, Michael Hablich
Base URL:
https://chromium.googlesource.com/v8/v8.git@blah
Target Ref:
refs/pending/heads/master
Project:
v8
Visibility:
Public.

Description

ES6: Desugaring of instanceof to support @@hasInstance This is a rework of the instanceof operator to support ES6 semantics (as per section 12.10.4 of the spec: https://tc39.github.io/ecma262/#sec-instanceofoperator). It's behind flag --harmony-instanceof for now, which is turned on for staging. BUG=v8:4447 LOG=N Committed: https://crrev.com/deb7d5b090a9964cd37d20760a21afd6835438b6 Cr-Commit-Position: refs/heads/master@{#34170}

Patch Set 1 #

Patch Set 2 : Finished desugaring. #

Patch Set 3 : Fixed todos. #

Total comments: 15

Patch Set 4 : Code comments. #

Total comments: 2

Patch Set 5 : Added a small test, disabled an ignition failure. #

Patch Set 6 : Removed cruft in test262.status. #

Patch Set 7 : REBASE. #

Patch Set 8 : Disabled new test for ignition. #

Total comments: 2

Patch Set 9 : REBASE plus comment response. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+269 lines, -32 lines) Patch
M src/ast/ast-value-factory.cc View 1 1 chunk +2 lines, -0 lines 0 comments Download
M src/bootstrapper.cc View 1 2 3 4 5 6 7 8 3 chunks +5 lines, -0 lines 0 comments Download
M src/contexts.h View 1 chunk +2 lines, -2 lines 0 comments Download
M src/flag-definitions.h View 1 2 3 4 5 6 7 8 1 chunk +2 lines, -1 line 0 comments Download
M src/messages.h View 1 2 3 4 5 6 2 chunks +3 lines, -0 lines 0 comments Download
M src/parsing/parser.h View 1 2 3 4 5 6 7 8 2 chunks +3 lines, -0 lines 0 comments Download
M src/parsing/parser.cc View 1 2 3 4 5 6 7 8 2 chunks +181 lines, -12 lines 0 comments Download
M src/parsing/parser-base.h View 1 2 3 4 5 6 7 8 1 chunk +8 lines, -6 lines 0 comments Download
M src/parsing/preparser.h View 1 2 3 4 5 6 7 8 2 chunks +8 lines, -0 lines 0 comments Download
M src/runtime/runtime.h View 1 2 3 4 5 6 7 8 1 chunk +0 lines, -1 line 0 comments Download
M src/runtime/runtime-function.cc View 1 2 3 4 1 chunk +0 lines, -1 line 0 comments Download
A test/mjsunit/harmony/instanceof-es6.js View 1 2 3 4 1 chunk +50 lines, -0 lines 0 comments Download
M test/mjsunit/messages.js View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M test/mjsunit/mjsunit.status View 1 2 3 4 5 6 7 8 1 chunk +3 lines, -0 lines 0 comments Download
M test/test262/test262.status View 1 2 3 4 5 6 7 8 2 chunks +1 line, -8 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 37 (17 generated)
mvstanton
Hi guys, Take a look. Andreas, I'm not sure about the way to enable test262 ...
1 year, 1 month ago (2016-02-12 13:30:42 UTC) #3
rossberg
> Andreas, I'm not sure about the way to enable test262 tests with the flag ...
1 year, 1 month ago (2016-02-12 13:55:25 UTC) #4
rossberg
https://codereview.chromium.org/1692713005/diff/40001/src/bootstrapper.cc File src/bootstrapper.cc (right): https://codereview.chromium.org/1692713005/diff/40001/src/bootstrapper.cc#newcode2495 src/bootstrapper.cc:2495: void Genesis::InitializeGlobal_harmony_instanceof() { Use the EMPTY_INITIALIZE_GLOBAL_FOR_FEATURE macro, see lines ...
1 year, 1 month ago (2016-02-12 14:11:32 UTC) #5
mvstanton
Hi guys, Thanks for the comments. Let me send you this, and in the morning ...
1 year, 1 month ago (2016-02-18 02:12:17 UTC) #6
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1692713005/60001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1692713005/60001
1 year, 1 month ago (2016-02-18 02:14:34 UTC) #9
commit-bot: I haz the power
Dry run: Try jobs failed on following builders: v8_linux_arm_rel on tryserver.v8 (JOB_FAILED, http://build.chromium.org/p/tryserver.v8/builders/v8_linux_arm_rel/builds/13930)
1 year, 1 month ago (2016-02-18 02:33:43 UTC) #11
mvstanton
Looks like there is an ignition failure, I'll see if I can fix it, otherwise ...
1 year, 1 month ago (2016-02-18 02:48:29 UTC) #12
Benedikt Meurer
LGTM with nit. https://codereview.chromium.org/1692713005/diff/60001/src/runtime/runtime-function.cc File src/runtime/runtime-function.cc (right): https://codereview.chromium.org/1692713005/diff/60001/src/runtime/runtime-function.cc#newcode243 src/runtime/runtime-function.cc:243: // PrintF("object %p is callable %d\n", ...
1 year, 1 month ago (2016-02-18 05:09:45 UTC) #13
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1692713005/100001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1692713005/100001
1 year, 1 month ago (2016-02-18 19:49:22 UTC) #15
commit-bot: I haz the power
Dry run: Try jobs failed on following builders: v8_android_arm_compile_rel on tryserver.v8 (JOB_FAILED, http://build.chromium.org/p/tryserver.v8/builders/v8_android_arm_compile_rel/builds/13608) v8_linux64_asan_rel on ...
1 year, 1 month ago (2016-02-18 19:50:38 UTC) #17
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1692713005/120001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1692713005/120001
1 year, 1 month ago (2016-02-18 20:19:47 UTC) #19
commit-bot: I haz the power
Dry run: Try jobs failed on following builders: v8_linux_nodcheck_rel on tryserver.v8 (JOB_FAILED, http://build.chromium.org/p/tryserver.v8/builders/v8_linux_nodcheck_rel/builds/12457) v8_linux_rel_ng on ...
1 year, 1 month ago (2016-02-18 20:41:35 UTC) #21
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1692713005/140001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1692713005/140001
1 year, 1 month ago (2016-02-18 20:52:01 UTC) #23
mvstanton
Hi Andreas, After much ignition and rebase hilarity, here is the CL. Thanks for the ...
1 year, 1 month ago (2016-02-18 21:19:15 UTC) #24
commit-bot: I haz the power
Dry run: This issue passed the CQ dry run.
1 year, 1 month ago (2016-02-18 21:28:17 UTC) #26
rossberg
LGTM https://codereview.chromium.org/1692713005/diff/140001/src/parsing/parser.cc File src/parsing/parser.cc (right): https://codereview.chromium.org/1692713005/diff/140001/src/parsing/parser.cc#newcode6450 src/parsing/parser.cc:6450: Statement* ParserTraits::CheckCallable(Variable* var, Expression* error) { Given that ...
1 year, 1 month ago (2016-02-19 12:19:00 UTC) #29
mvstanton
Thanks guys, submitting... https://codereview.chromium.org/1692713005/diff/140001/src/parsing/parser.cc File src/parsing/parser.cc (right): https://codereview.chromium.org/1692713005/diff/140001/src/parsing/parser.cc#newcode6450 src/parsing/parser.cc:6450: Statement* ParserTraits::CheckCallable(Variable* var, Expression* error) { ...
1 year, 1 month ago (2016-02-19 18:15:59 UTC) #30
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1692713005/160001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1692713005/160001
1 year, 1 month ago (2016-02-19 18:16:28 UTC) #33
commit-bot: I haz the power
Committed patchset #9 (id:160001)
1 year, 1 month ago (2016-02-19 19:20:00 UTC) #35
commit-bot: I haz the power
1 year, 1 month ago (2016-02-19 19:20:49 UTC) #37
Message was sent while issue was closed.
Patchset 9 (id:??) landed as
https://crrev.com/deb7d5b090a9964cd37d20760a21afd6835438b6
Cr-Commit-Position: refs/heads/master@{#34170}
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cc6ac46